Bug 245697 - (perl-Gearman-Server) Review Request: perl-Gearman-Server - Function call "router" and load balancer
Review Request: perl-Gearman-Server - Function call "router" and load balancer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 245655
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 01:43 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 17:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-06-26 01:43:15 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-Gearman-Server.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-Gearman-Server-1.09-1.fc7.src.rpm
Description:
You run a Gearman server (or more likely, many of them for both high-
availability and load balancing), then have workers (using Gearman::Worker
from the Gearman module, or libraries for other languages) register their
ability to do certain functions to all of them, and then clients (using
Gearman::Client, Gearman::Client::Async, etc) request work to be done from
one of the Gearman servers.

This module needs perl-Gearman, up for review in bug #245655
Comment 1 Jason Tibbitts 2007-06-30 14:35:43 EDT
OK, perl-Gearman is done and I've put it in a local repo so that I can build
this.  The license problem with perl-Gearman isn't repeated here.

Review:
* source files match upstream:
   472c47d154a7168c627aad97fe04abdb3010275315e26382e13982ec4062a8cd  
   Gearman-Server-1.09.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Gearman::Server) = 1.09
   perl(Gearman::Server::Client)
   perl(Gearman::Server::Job)
   perl-Gearman-Server = 1.09-1.fc8
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Danga::Socket)
   perl(Danga::Socket) >= 1.52
   perl(FindBin)
   perl(Gearman::Server)
   perl(Gearman::Server::Client)
   perl(Gearman::Server::Job)
   perl(Gearman::Util)
   perl(Getopt::Long)
   perl(IO::Socket::INET)
   perl(POSIX)
   perl(Scalar::Util)
   perl(Socket)
   perl(Sys::Hostname)
   perl(base)
   perl(fields)
   perl(lib)
   perl(strict)
   perl(vars)
   perl(warnings)
* %check is present, but there's not actually a test suite to run:
   No tests defined for Gearman::Server extension.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Ruben Kerkhof 2007-06-30 14:43:45 EDT
Thanks for the review Jason,

New Package CVS Request
=======================
Package Name: perl-Gearman-Server
Short Description: Function call "router" and load balancer
Owners: ruben@rubenkerkhof.com
Branches: FC-6 F-7

Comment 3 Ruben Kerkhof 2007-07-02 02:08:42 EDT
I added a BuildRequires for perl-Gearman-Server (which is not in the repo yet) and enabled the tests, and 
it seems to work in mock.

New version:

http://rubenkerkhof.com/packages/perl-Gearman-Client-Async.spec
http://rubenkerkhof.com/packages/perl-Gearman-Client-Async-0.94-2.fc7.src.rpm
Comment 4 Kevin Fenzi 2007-07-02 14:58:03 EDT
Comment #3 looks like it's in the wrong review request? 

cvs done. 
Note again that you should set fedora-cvs to ? and a cvsadmin will set it to +
when done. 
Comment 5 Ruben Kerkhof 2007-08-09 18:07:19 EDT
Package Change Request
======================
Package Name: perl-Gearman-Server
New Branches: EL-4 EL-5
Comment 6 Kevin Fenzi 2007-08-09 18:55:00 EDT
cvs done.
Comment 7 Petr Pisar 2011-07-13 04:54:28 EDT
Package Change Request
======================
Package Name: perl-Gearman-Server
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
package.
Comment 8 Gwyn Ciesla 2011-07-15 10:04:49 EDT
This is now done via pkgdb.

Note You need to log in before you can comment on or make changes to this bug.